
%define deb_package Moosync-%{version}-linux-amd64.deb

Summary: Stylish and modern desktop music player
Name: moosync
Version:  8.1.0
Release: %mkrel 1
License: GPL
Group: Sound
URL: https://github.com/Moosync/Moosync
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: binutils xz tar sd
AutoReqProv: no
#-------------------------------------
Requires: lib64cfitsio5
Requires: lib64gsf-1_114
Requires: lib64matio2
Requires: lib64vips42
#-------------------------------------
Obsoletes: moonsync
Provides: moonsync = %version-%release

%description
Stylish and modern desktop music player that can play local audio as well as music from YouTube or Spotify

%prep

%build

%install
rm -rf %buildroot
mkdir %buildroot

pushd  %{_sourcedir}
wget -nc https://github.com/Moosync/Moosync/releases/download/v%{version}/%deb_package
# extract data from the deb package
ar p %{_sourcedir}/%{deb_package} data.tar.xz | xz -d -9 | tar x -C %buildroot
popd

 desktop-file-install --vendor="" \
 --remove-category='Utility' \
 --add-category='X-MandrivaLinux-Multimedia-Sound' \
 --add-category='Audio' \
 %{buildroot}%{_datadir}/applications/*.desktop

 mkdir -p %buildroot/%{_bindir}
 ln -fs /opt/Moosync/moosync %buildroot/%{_bindir}/moosync

%post
%update_menus &> /dev/null ||:
%update_desktop_database &> /dev/null ||:
%update_mime_database &> /dev/null ||:

%postun
/sbin/ldconfig
%clean_menus &> /dev/null ||:''
%clean_desktop_database &> /dev/null ||:''
%clean_mime_database &> /dev/null ||:''


%clean
rm -rf %buildroot

%files
%{_bindir}
%{_datadir}
/opt/Moosync


%changelog
* Sun Apr 23 2023 tex - 8.1.0-1pclos2023
- new version

* Wed Apr 12 2023 tex - 8.0.0-1pclos2023
- new version

* Sun Jan 08 2023 tex - 7.1.0-1pclos2023
- new version

* Sat Dec 17 2022 tex - 6.0.0-1pclos2022
- correct the name to moosync
